Index: azure_iot_hub/trunk/ntshell/src/tSIOPortNTShell.cdl
===================================================================
--- azure_iot_hub/trunk/ntshell/src/tSIOPortNTShell.cdl	(revision 388)
+++ azure_iot_hub/trunk/ntshell/src/tSIOPortNTShell.cdl	(revision 389)
@@ -9,47 +9,32 @@
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ã(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
- *  ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
- *  å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
- *      ã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *    (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
- *        å ±åãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
- *      ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
- *      ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
- *      å
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の(1)〜(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
  * 
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
- *  ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
- *  ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
- *  ã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
  * 
  *  $Id$
@@ -57,19 +42,19 @@
 
 /*
- *		ã·ãªã¢ã«ã¤ã³ã¿ãã§ã¼ã¹ãã©ã¤ãã®ã¿ã¼ã²ããä¾å­é¨ï¼NTShellç¨ï¼
- *		ã®ã³ã³ãã¼ãã³ãè¨è¿°
+ *		シリアルインタフェースドライバのターゲット依存部（NTShell用）
+ *		のコンポーネント記述
  */
 
 /*
- *  NTShell ã«é¢ããå®ç¾©
+ *  NTShell に関する定義
  */
 import_C("termios.h");
 
 /*
- *  SIOãã©ã¤ãã®æ¬ä½ã®ã»ã«ã¿ã¤ã
+ *  SIOドライバの本体のセルタイプ
  */
 celltype tSIOPortNTShellMain {
 	/*
-	 *  ã·ãªã¢ã«ã¤ã³ã¿ãã§ã¼ã¹ãã©ã¤ãã¨ã®çµå
+	 *  シリアルインタフェースドライバとの結合
 	 */
 	entry				sSIOPort		eSIOPort;
@@ -77,35 +62,33 @@
 
 	/*
-	 *  çµäºå¦çã«ã¼ãã³
+	 *  終了処理ルーチン
 	 */
 	entry	sRoutineBody	eTerminate;
 
 	attr {
-		const char	*path;				/* ãã¹å */
+		const char	*path;				/* パス名 */
 	};
 
 	var {
-		bool_t			opened = false;	/* ãªã¼ãã³æ¸ã¿ãã©ã° */
-		struct termios	saved_term;		/* å
-ã®ç«¯æ«å¶å¾¡æ
-å ± */
-		int_t			read_fd;		/* èª­åºãç¨ãã¡ã¤ã«ãã£ã¹ã¯ãªãã¿ */
-		bool_t			rcv_flag;		/* åä¿¡æå­ãããã¡æå¹ãã©ã° */
-		char			rcv_buf;		/* åä¿¡æå­ãããã¡ */
-		bool_t			rcv_rdy;		/* åä¿¡éç¥ã³ã¼ã«ããã¯è¨±å¯ãã©ã° */
-		int_t			write_fd;		/* æ¸è¾¼ã¿ç¨ãã¡ã¤ã«ãã£ã¹ã¯ãªãã¿ */
-		bool_t			snd_flag;		/* éä¿¡æå­ãããã¡æå¹ãã©ã° */
-		char			snd_buf;		/* éä¿¡æå­ãããã¡ */
-		bool_t			snd_rdy;		/* éä¿¡éç¥ã³ã¼ã«ããã¯è¨±å¯ãã©ã° */
+		bool_t			opened = false;	/* オープン済みフラグ */
+		struct termios	saved_term;		/* 元の端末制御情報 */
+		int_t			read_fd;		/* 読出し用ファイルディスクリプタ */
+		bool_t			rcv_flag;		/* 受信文字バッファ有効フラグ */
+		char			rcv_buf;		/* 受信文字バッファ */
+		bool_t			rcv_rdy;		/* 受信通知コールバック許可フラグ */
+		int_t			write_fd;		/* 書込み用ファイルディスクリプタ */
+		bool_t			snd_flag;		/* 送信文字バッファ有効フラグ */
+		char			snd_buf;		/* 送信文字バッファ */
+		bool_t			snd_rdy;		/* 送信通知コールバック許可フラグ */
 	};
 };
 
 /*
- *  SIOãã©ã¤ãï¼è¤åã³ã³ãã¼ãã³ãï¼ã®ã»ã«ã¿ã¤ã
+ *  SIOドライバ（複合コンポーネント）のセルタイプ
  */
 [active]
 composite tSIOPortNTShell {
 	/*
-	 *  ã·ãªã¢ã«ã¤ã³ã¿ãã§ã¼ã¹ãã©ã¤ãã¨ã®çµå
+	 *  シリアルインタフェースドライバとの結合
 	 */
 	entry				sSIOPort	eSIOPort;
@@ -113,12 +96,12 @@
 
 	/*
-	 *  å±æ§ã®å®ç¾©
+	 *  属性の定義
 	 */
 	attr {
-		const char	*path = C_EXP("NULL");		/* ãã¹å */
+		const char	*path = C_EXP("NULL");		/* パス名 */
 	};
 
 	/*
-	 *  SIOãã©ã¤ãã®æ¬ä½
+	 *  SIOドライバの本体
 	 */
 	cell tSIOPortNTShellMain SIOPortMain {
@@ -129,5 +112,5 @@
 
 	/*
-	 *  SIOãã©ã¤ãã®çµäºå¦çã«ã¼ãã³
+	 *  SIOドライバの終了処理ルーチン
 	 */
 	cell tTerminateRoutine TerminateSIO {
Index: azure_iot_hub/trunk/ntshell/src/tSIOPortNTShellMain.c
===================================================================
--- azure_iot_hub/trunk/ntshell/src/tSIOPortNTShellMain.c	(revision 388)
+++ azure_iot_hub/trunk/ntshell/src/tSIOPortNTShellMain.c	(revision 389)
@@ -7,47 +7,32 @@
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
  * 
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ã(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
- *  ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
- *  å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
- *      ã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *    (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
- *        å ±åãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
- *      ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
- *      ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
- *      å
-è²¬ãããã¨ï¼
- * 
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
- *  ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
- *  ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
- *  ã®è²¬ä»»ãè² ããªãï¼
+ *  上記著作権者は，以下の(1)〜(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
+ * 
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
  * 
  *  $Id$
@@ -55,5 +40,5 @@
 
 /*
- *		ã·ãªã¢ã«ã¤ã³ã¿ãã§ã¼ã¹ãã©ã¤ãã®ã¿ã¼ã²ããä¾å­é¨ï¼NTShellç¨ï¼
+ *		シリアルインタフェースドライバのターゲット依存部（NTShell用）
  */
 
@@ -68,5 +53,5 @@
  
 /*
- *  SIOãã¼ãã®ãªã¼ãã³
+ *  SIOポートのオープン
  */
 void
@@ -79,5 +64,5 @@
 	if (!VAR_opened) {
 		/*
-		 *  æ¢ã«ãªã¼ãã³ãã¦ããå ´åã¯ãäºéã«ãªã¼ãã³ããªãï¼
+		 *  既にオープンしている場合は、二重にオープンしない．
 		 */
 		if (ATTR_path != NULL) {
@@ -88,6 +73,5 @@
 		}
 		else {
-			fd = STDIN_FILENO;				/* æ¨æºå
-¥åºåãä½¿ã */
+			fd = STDIN_FILENO;				/* 標準入出力を使う */
 			VAR_read_fd = STDIN_FILENO;
 			VAR_write_fd = STDOUT_FILENO;
@@ -110,5 +94,5 @@
 
 /*
- *  SIOãã¼ãã®ã¯ã­ã¼ãº
+ *  SIOポートのクローズ
  */
 void
@@ -131,5 +115,5 @@
 
 /*
- *  SIOãã¼ãã¸ã®æå­éä¿¡
+ *  SIOポートへの文字送信
  */
 bool_t
@@ -156,5 +140,5 @@
 
 /*
- *  SIOãã¼ãããã®æå­åä¿¡
+ *  SIOポートからの文字受信
  */
 int_t
@@ -179,5 +163,5 @@
 
 /*
- *  SIOãã¼ãããã®ã³ã¼ã«ããã¯ã®è¨±å¯
+ *  SIOポートからのコールバックの許可
  */
 void
@@ -197,5 +181,5 @@
 
 /*
- *  SIOãã¼ãããã®ã³ã¼ã«ããã¯ã®ç¦æ­¢
+ *  SIOポートからのコールバックの禁止
  */
 void
@@ -215,5 +199,5 @@
 
 /*
- *  SIOã®å²è¾¼ã¿ãµã¼ãã¹ã«ã¼ãã³
+ *  SIOの割込みサービスルーチン
  */
 bool_t
@@ -240,5 +224,5 @@
 
 /*
- *  SIOã®å²è¾¼ã¿ãµã¼ãã¹ã«ã¼ãã³
+ *  SIOの割込みサービスルーチン
  */
 bool_t
@@ -263,5 +247,5 @@
 
 /*
- *  SIOãã©ã¤ãã®çµäºå¦ç
+ *  SIOドライバの終了処理
  */
 void
Index: azure_iot_hub/trunk/ntshell/src/tinet_main.cfg
===================================================================
--- azure_iot_hub/trunk/ntshell/src/tinet_main.cfg	(revision 388)
+++ azure_iot_hub/trunk/ntshell/src/tinet_main.cfg	(revision 389)
@@ -1,50 +1,35 @@
 /*
- *  TOPPERS ECHONET Lite Communication Middleware
+ *  TOPPERS PROJECT Home Network Working Group Software
  * 
  *  Copyright (C) 2014 Cores Co., Ltd. Japan
  * 
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã®(1)ï½(4)ã®æ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§
- *  ã¢ï¼æ¬ã½ããã¦ã§ã¢ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹
- *  å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®ããããã®æ¡ä»¶ãæºããã
- *      ã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *    (b) åé
-å¸ã®å½¢æ
-ãï¼å¥ã«å®ããæ¹æ³ã«ãã£ã¦ï¼TOPPERSãã­ã¸ã§ã¯ãã«
- *        å ±åãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
- *      ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®ã¦ã¼ã¶ã¾ãã¯ã¨ã³ãã¦ã¼ã¶ããã®ãããªãç
- *      ç±ã«åºã¥ãè«æ±ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ãã
- *      å
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
+ *  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改
+ *  変・再配布（以下，利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次のいずれかの条件を満たすこ
+ *      と．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに
+ *        報告すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+ *      また，本ソフトウェアのユーザまたはエンドユーザからのいかなる理
+ *      由に基づく請求からも，上記著作権者およびTOPPERSプロジェクトを
+ *      免責すること．
  * 
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ç¹å®ã®ä½¿ç¨ç®ç
- *  ã«å¯¾ããé©åæ§ãå«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§
- *  ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ã
- *  ã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的
+ *  に対する適合性も含めて，いかなる保証も行わない．また，本ソフトウェ
+ *  アの利用により直接的または間接的に生じたいかなる損害に関しても，そ
+ *  の責任を負わない．
  * 
  *  @(#) $Id$
@@ -52,10 +37,10 @@
 
 /*
- *  ãããã¯ã¼ã¯å¯¾å¿ main.c ãã­ã°ã©ã ã® TCP/IP ã³ã³ãã£ã®ã¥ã¬ã¼ã·ã§ã³ãã¡ã¤ã«
+ *  ネットワーク対応 main.c プログラムの TCP/IP コンフィギュレーションファイル
  */
 
 #include "main.h"
 
-/* Socketç¨ éä¿¡ç«¯ç¹ */
+/* Socket用 通信端点 */
 
 #ifdef SUPPORT_INET4
Index: azure_iot_hub/trunk/ntshell/src/tinet_ntp_cli.cfg
===================================================================
--- azure_iot_hub/trunk/ntshell/src/tinet_ntp_cli.cfg	(revision 388)
+++ azure_iot_hub/trunk/ntshell/src/tinet_ntp_cli.cfg	(revision 389)
@@ -5,39 +5,27 @@
  *                   Tomakomai National College of Technology, JAPAN
  *
- *  ä¸è¨èä½æ¨©è
-ã¯ï¼ä»¥ä¸ã® (1)ï½(4) ã®æ¡ä»¶ãï¼Free Software Foundation 
- *  ã«ãã£ã¦å
-¬è¡¨ããã¦ãã GNU General Public License ã® Version 2 ã«è¨
- *  è¿°ããã¦ããæ¡ä»¶ãæºããå ´åã«éãï¼æ¬ã½ããã¦ã§ã¢ï¼æ¬ã½ããã¦ã§ã¢
- *  ãæ¹å¤ãããã®ãå«ãï¼ä»¥ä¸åãï¼ãä½¿ç¨ã»è¤è£½ã»æ¹å¤ã»åé
-å¸ï¼ä»¥ä¸ï¼
- *  å©ç¨ã¨å¼ã¶ï¼ãããã¨ãç¡åã§è¨±è«¾ããï¼
- *  (1) æ¬ã½ããã¦ã§ã¢ãã½ã¼ã¹ã³ã¼ãã®å½¢ã§å©ç¨ããå ´åã«ã¯ï¼ä¸è¨ã®èä½
- *      æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãï¼ãã®ã¾ã¾ã®å½¢ã§ã½ã¼
- *      ã¹ã³ã¼ãä¸­ã«å«ã¾ãã¦ãããã¨ï¼
- *  (2) æ¬ã½ããã¦ã§ã¢ãï¼ã©ã¤ãã©ãªå½¢å¼ãªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨
- *      è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®èä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨
- *      ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (3) æ¬ã½ããã¦ã§ã¢ãï¼æ©å¨ã«çµã¿è¾¼ããªã©ï¼ä»ã®ã½ããã¦ã§ã¢éçºã«ä½¿
- *      ç¨ã§ããªãå½¢ã§åé
-å¸ããå ´åã«ã¯ï¼æ¬¡ã®æ¡ä»¶ãæºãããã¨ï¼
- *    (a) åé
-å¸ã«ä¼´ããã­ã¥ã¡ã³ãï¼å©ç¨è
-ããã¥ã¢ã«ãªã©ï¼ã«ï¼ä¸è¨ã®è
- *        ä½æ¨©è¡¨ç¤ºï¼ãã®å©ç¨æ¡ä»¶ããã³ä¸è¨ã®ç¡ä¿è¨¼è¦å®ãæ²è¼ãããã¨ï¼
- *  (4) æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´æ¥çã¾ãã¯éæ¥çã«çãããããªãæ
- *      å®³ãããï¼ä¸è¨èä½æ¨©è
-ããã³TOPPERSãã­ã¸ã§ã¯ããå
-è²¬ãããã¨ï¼
+ *  上記著作権者は，以下の (1)～(4) の条件か，Free Software Foundation 
+ *  によって公表されている GNU General Public License の Version 2 に記
+ *  述されている条件を満たす場合に限り，本ソフトウェア（本ソフトウェア
+ *  を改変したものを含む．以下同じ）を使用・複製・改変・再配布（以下，
+ *  利用と呼ぶ）することを無償で許諾する．
+ *  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作
+ *      権表示，この利用条件および下記の無保証規定が，そのままの形でソー
+ *      スコード中に含まれていること．
+ *  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使
+ *      用できる形で再配布する場合には，再配布に伴うドキュメント（利用
+ *      者マニュアルなど）に，上記の著作権表示，この利用条件および下記
+ *      の無保証規定を掲載すること．
+ *  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使
+ *      用できない形で再配布する場合には，次の条件を満たすこと．
+ *    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著
+ *        作権表示，この利用条件および下記の無保証規定を掲載すること．
+ *  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損
+ *      害からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
  *
- *  æ¬ã½ããã¦ã§ã¢ã¯ï¼ç¡ä¿è¨¼ã§æä¾ããã¦ãããã®ã§ããï¼ä¸è¨èä½æ¨©è
-ã
- *  ãã³TOPPERSãã­ã¸ã§ã¯ãã¯ï¼æ¬ã½ããã¦ã§ã¢ã«é¢ãã¦ï¼ãã®é©ç¨å¯è½æ§ã
- *  å«ãã¦ï¼ãããªãä¿è¨¼ãè¡ããªãï¼ã¾ãï¼æ¬ã½ããã¦ã§ã¢ã®å©ç¨ã«ããç´
- *  æ¥çã¾ãã¯éæ¥çã«çãããããªãæå®³ã«é¢ãã¦ãï¼ãã®è²¬ä»»ãè² ããªãï¼
+ *  本ソフトウェアは，無保証で提供されているものである．上記著作権者お
+ *  よびTOPPERSプロジェクトは，本ソフトウェアに関して，その適用可能性も
+ *  含めて，いかなる保証も行わない．また，本ソフトウェアの利用により直
+ *  接的または間接的に生じたいかなる損害に関しても，その責任を負わない．
  * 
  *  @(#) $Id$
@@ -45,9 +33,9 @@
 
 /*
- *  NTP ã¯ã©ã¤ã¢ã³ã
- *  TCP/IP ã³ã³ãã£ã®ã¥ã¬ã¼ã·ã§ã³ãã¡ã¤ã«
+ *  NTP クライアント
+ *  TCP/IP コンフィギュレーションファイル
  */
 
-/* UDP éä¿¡ç«¯ç¹ */
+/* UDP 通信端点 */
 
 UDP_CRE_CEP (NTP_CLI_CEPID, {
Index: azure_iot_hub/trunk/usbhost/src/usb_hbth.cfg
===================================================================
--- azure_iot_hub/trunk/usbhost/src/usb_hbth.cfg	(revision 388)
+++ azure_iot_hub/trunk/usbhost/src/usb_hbth.cfg	(revision 389)
@@ -1,4 +1,4 @@
 /*
- *  USBãã©ã¤ãï¼RX630ç¨ï¼ã®ã³ã³ãã£ã®ã¥ã¬ã¼ã·ã§ã³ãã¡ã¤ã«
+ *  USBドライバ（RX630用）のコンフィギュレーションファイル
  */
 
Index: azure_iot_hub/trunk/usbhost/src/usb_hbth.h
===================================================================
--- azure_iot_hub/trunk/usbhost/src/usb_hbth.h	(revision 388)
+++ azure_iot_hub/trunk/usbhost/src/usb_hbth.h	(revision 389)
@@ -6,5 +6,5 @@
 
 /*
- *  USB HOST ã¿ã¹ã¯ã®ããã®å®æ°
+ *  USB HOST タスクのための定数
  */
 #define USBHOST_PRIORITY			(4)
@@ -33,11 +33,10 @@
 
 /*
- *  USBå²è¾¼ã¿ãã³ãã©ç»é²ã®ããã®å®æ°
+ *  USB割込みハンドラ登録のための定数
  */
-#define INHNO_USB	INT_USB0_USBI0		/* å²è¾¼ã¿ãã³ãã©çªå· */
-#define INTNO_USB	INT_USB0_USBI0		/* å²è¾¼ã¿çªå· */
-#define INTPRI_USB	-5					/* å²è¾¼ã¿åªå
-åº¦ */
-#define INTATR_USB	(TA_EDGE)			/* å²è¾¼ã¿å±æ§ */
+#define INHNO_USB	INT_USB0_USBI0		/* 割込みハンドラ番号 */
+#define INTNO_USB	INT_USB0_USBI0		/* 割込み番号 */
+#define INTPRI_USB	-5					/* 割込み優先度 */
+#define INTATR_USB	(TA_EDGE)			/* 割込み属性 */
 
 void usb_interrupt_handler(void);
Index: azure_iot_hub/trunk/wolfssl-3.15.7/README
===================================================================
--- azure_iot_hub/trunk/wolfssl-3.15.7/README	(revision 388)
+++ azure_iot_hub/trunk/wolfssl-3.15.7/README	(revision 389)
@@ -103,5 +103,5 @@
 This release of wolfSSL includes a fix for 1 security vulnerability.
 
-Medium level fix for potential cache attack with a variant of Bleichenbacherâs attack. Earlier versions of wolfSSL leaked PKCS #1 v1.5 padding information during private key decryption that could lead to a potential padding oracle attack. It is recommended that users update to the latest version of wolfSSL if they have RSA cipher suites enabled and have the potential for malicious software to be ran on the same system that is performing RSA operations. Users that have only ECC cipher suites enabled and are not performing RSA PKCS #1 v1.5 Decryption operations are not vulnerable. Also users with TLS 1.3 only connections are not vulnerable to this attack. Thanks to Eyal Ronen (Weizmann Institute), Robert Gillham (University of Adelaide), Daniel Genkin (University of Michigan), Adi Shamir (Weizmann Institute), David Wong (NCC Group), and Yuval Yarom (University of Adelaide and Data61) for the report.
+Medium level fix for potential cache attack with a variant of Bleichenbacher’s attack. Earlier versions of wolfSSL leaked PKCS #1 v1.5 padding information during private key decryption that could lead to a potential padding oracle attack. It is recommended that users update to the latest version of wolfSSL if they have RSA cipher suites enabled and have the potential for malicious software to be ran on the same system that is performing RSA operations. Users that have only ECC cipher suites enabled and are not performing RSA PKCS #1 v1.5 Decryption operations are not vulnerable. Also users with TLS 1.3 only connections are not vulnerable to this attack. Thanks to Eyal Ronen (Weizmann Institute), Robert Gillham (University of Adelaide), Daniel Genkin (University of Michigan), Adi Shamir (Weizmann Institute), David Wong (NCC Group), and Yuval Yarom (University of Adelaide and Data61) for the report.
 
 The paper for further reading on the attack details can be found at http://cat.eyalro.net/cat.pdf.
Index: azure_iot_hub/trunk/wolfssl-3.15.7/user_settings.h
===================================================================
--- azure_iot_hub/trunk/wolfssl-3.15.7/user_settings.h	(revision 388)
+++ azure_iot_hub/trunk/wolfssl-3.15.7/user_settings.h	(revision 389)
@@ -1,12 +1,15 @@
 //#define DEBUG_WOLFSSL
 
-//#define HAVE_LIBZ	ã¹ã¿ãã¯ãå¤ãå¿
-è¦
+//#define HAVE_LIBZ	スタックが多く必要
 #define HAVE_ECC
 #define HAVE_AESGCM
 //#define HAVE_FIPS
+// googleで必要
 #define HAVE_TLS_EXTENSIONS
 #define HAVE_SNI
 #define HAVE_SUPPORTED_CURVES
+// AzureのMQTToWSで必要、Open Weather Mapでは害
+//#define HAVE_SECURE_RENEGOTIATION
+//#define WOLFSSL_SECURE_RENEGOTIATION_ON_BY_DEFAULT
 
 #define ECC_TIMING_RESISTANT
@@ -16,6 +19,9 @@
 #define WOLFSSL_SHA512
 #define WOLFSSL_SMALL_STACK
-// curlã§ä½¿ç¨ãã¦ãã
+// curlで使用している
 #define WOLFSSL_ALLOW_TLSV10
+
+#define WOLFSSL_CERT_EXT
+//#define OPENSSL_EXTRA	GR-SAKURAでROMが足らなくなる
 
 #define WC_RSA_BLINDING
Index: azure_iot_hub/trunk/wolfssl-3.15.7/wolfcrypt/src/aes.c
===================================================================
--- azure_iot_hub/trunk/wolfssl-3.15.7/wolfcrypt/src/aes.c	(revision 388)
+++ azure_iot_hub/trunk/wolfssl-3.15.7/wolfcrypt/src/aes.c	(revision 389)
@@ -3439,5 +3439,5 @@
 
 
-/* See IntelÂ® Carry-Less Multiplication Instruction
+/* See Intel® Carry-Less Multiplication Instruction
  * and its Usage for Computing the GCM Mode White Paper
  * by Shay Gueron, Intel Mobility Group, Israel Development Center;
@@ -3445,5 +3445,5 @@
 
 
-/* Figure 9. AES-GCM â Encrypt With Single Block Ghash at a Time */
+/* Figure 9. AES-GCM – Encrypt With Single Block Ghash at a Time */
 
 static const __m128i ONE   = M128_INIT(0x0, 0x1);
@@ -6192,5 +6192,5 @@
 
 #ifdef HAVE_AES_DECRYPT
-/* Figure 10. AES-GCM â Decrypt With Single Block Ghash at a Time */
+/* Figure 10. AES-GCM – Decrypt With Single Block Ghash at a Time */
 
 static void AES_GCM_decrypt(const unsigned char *in, unsigned char *out,
Index: azure_iot_hub/trunk/wolfssl-3.15.7/wolfssl/options.h
===================================================================
--- azure_iot_hub/trunk/wolfssl-3.15.7/wolfssl/options.h	(revision 389)
+++ azure_iot_hub/trunk/wolfssl-3.15.7/wolfssl/options.h	(revision 389)
@@ -0,0 +1,26 @@
+/* wolfssl options.h
+ * generated from configure options
+ *
+ * Copyright (C) 2006-2015 wolfSSL Inc.
+ *
+ * This file is part of wolfSSL. (formerly known as CyaSSL)
+ *
+ */
+
+#ifndef WOLFSSL_OPTIONS_H
+#define WOLFSSL_OPTIONS_H
+
+
+#ifdef __cplusplus
+extern "C" {
+#endif
+
+#include "user_settings.h"
+
+#ifdef __cplusplus
+}
+#endif
+
+
+#endif /* WOLFSSL_OPTIONS_H */
+
Index: azure_iot_hub/trunk/wolfssl-3.15.7/wolfssl/test.h
===================================================================
--- azure_iot_hub/trunk/wolfssl-3.15.7/wolfssl/test.h	(revision 388)
+++ azure_iot_hub/trunk/wolfssl-3.15.7/wolfssl/test.h	(revision 389)
@@ -528,12 +528,11 @@
     /* Japanese */
     {
-        "SSL ãã¼ã¸ã§ã³ã¯",
-        "SSL æå·ã¹ã¤ã¼ãã¯",
-        "SSL æ²ç·åã¯",
-        "SSL DH ãµã¤ãºã¯",
-        "SSL åå©ç¨ã»ãã·ã§ã³",
-        "ä»£æ¿è¨¼æãã§ã¼ã³ãä½¿ç¨",
-        "ç¸ææ¹è¨¼ææ¸æ
-å ±",
+        "SSL バージョンは",
+        "SSL 暗号スイートは",
+        "SSL 曲線名は",
+        "SSL DH サイズは",
+        "SSL 再利用セッション",
+        "代替証明チェーンを使用",
+        "相手方証明書情報",
         NULL
     }
@@ -552,9 +551,8 @@
     /* Japanese */
     {
-        "çºè¡è
-",
-        "ãµãã¸ã§ã¯ã",
-        "ä»£æ¿å",
-        "ã·ãªã¢ã«çªå·",
+        "発行者",
+        "サブジェクト",
+        "代替名",
+        "シリアル番号",
         NULL
     },
